<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

if($_POST['lanzamiento']) {

	$lanzamiento=$_POST['lanzamiento'];
	$of=$_POST['of'];
	$cantidad=$_POST['cantidad'];

	$peticion='CierreOrdenesFabExpositores#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$lanzamiento.'#'.$of.'#'.$cantidad;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

	if($_GET['traza']=='si') {
	
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}

	$valores=$resultado[0]['Error'];
	$evaluacion=explode('#',$valores);
	
	if($evaluacion[0]=='0') {
		?>
		<script>alert('Cierre rápido de la Orden de Producción de Expositores enviado.');</script><?php
	}
	else {
		?><script>alert('Error: <?php echo $evaluacion[1]; ?>');</script><?php
	}

}







if($_GET['producto']) $producto=$_GET['producto'];

//Volvemos a hacer la carga del listado, para ver en qué estado se encuentra ahora la orden (puede venir de un cierre rapido, y las cantidades haber cambiado)
$peticion='OrdenesFabExpositores#'.$_SESSION['empresa'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

foreach($resultado as $item) {
	if($item['CodProducto']==$producto) $orden=$item;
}



$detalle=arreglaArrayPXMobileProxiumResult($orden['DetalleOFS']);

$comboOrdenesPreparacion=array();
$comboClientes=array();

if($_GET['traza']=='si') {
	echo "<p>Detalle:</p>";
	print_r($detalle);
}

foreach($detalle as $item) {
	
	if(!in_array($item['NumOrdenPrep'],$comboOrdenesPreparacion) && $item['NumOrdenPrep']!='') $comboOrdenesPreparacion[]=$item['NumOrdenPrep'];
	if(!in_array($item['NombreCliente'],$comboClientes) && $item['NombreCliente']!='') $comboClientes[]=$item['NombreCliente'];
}

if($orden['CantidadPendiente']==0) {
	//No queda cantidad pendiente a fabricar, volvemos al listado, sino seguirá en la pantalla de cierre de OF
	?>
    <script>
    //$('#popupCargando').show();
	<?php if($_GET['traza']!='si') { ?>//window.location='ordenes-fabricacion-cierre-rapido.php';<?php } ?>
	</script>
    <?php
}
else {

asort($comboOrdenesPreparacion);
asort($comboClientes);

?>
<script>

var comboOrdenesPreparacion=Array(<?php foreach($comboOrdenesPreparacion as $item) { ?>'<?php echo addslashes($item); ?>',<?php } ?>);
var comboClientes=Array(<?php foreach($comboClientes as $item) { ?>'<?php echo addslashes ($item); ?>',<?php } ?>);

</script>



<h2>Cierre rápido de Orden de Fabricación</h2>

<form id="formulario" name="formulario" method="post" action="">

<div id="popupCierre" class="popup" style="display:none;">
    <div class="popupContenido">
    	<div id="contenidoCierre">
        	<input name="lanzamiento" id="lanzamiento" type="hidden" value="" />
            <input name="of" id="of" type="hidden" value="" />
            <input name="cantidadPendiente" id="cantidadPendiente" type="hidden" value="" />
            <h2><?php echo $orden['CodProducto']; ?> - <?php echo $orden['DescripcionProducto']; ?></h2>
            <p>Cliente: <span id="nombreCliente"></span></p>
            <p>Orden de Preparación: <span id="ordenPreparacion"></span></p>
            <p>Cantidad:<br /><input name="cantidad" type="text" id="cantidad" size="4" maxlength="12" class="cantidad campo" />
            <p><input type="submit" name="botonAceptar" id="botonAceptar" value="Cierre rápido de Fabricación" class="boton"/></p>
            <p><input type="button" name="botonCancelar" id="botonCancelar" value="Cancelar" class="boton reducido"/></p>
        </div>
	</div>
</div>

<table class="tablaFormateada anchoMaximo">
	<tr style="white-space:nowrap">
		<th>Producto</th>
		<th>Descripción</th>
		<th>Pendiente</th>
</tr>
    <tr>
		<td><?php echo $orden['CodProducto']; ?></td>
		<td><?php echo $orden['DescripcionProducto']; ?></td>
		<td><?php echo $orden['CantidadPendiente']; ?></td>
	</tr>
</table>

<p>Ordenes de Preparación asociadas:</p>

<table class="tablaFormateada anchoMaximo">
<tr style="white-space:nowrap">
	<th>Cliente</th>
    <th>Nombre</th>
	<th>Orden Preparación</th>
    <th>Num. Pedido</th>
    <th>Línea Pedido</th>
    <th>Pendiente</th>
    </tr>
<?php foreach($detalle as $item) { ?>
<tr style="white-space:nowrap" class="lineaOrden clicable" lanzamiento="<?php echo $item['Lanzamiento']; ?>" of="<?php echo $item['OF']; ?>" codigocliente="<?php echo $item['CodCliente']; ?>" nombrecliente="<?php echo $item['NombreCliente']; ?>" ordenpreparacion="<?php echo $item['NumOrdenPrep']; ?>" cantidadpendiente="<?php echo $item['CantidadPendienteOF']; ?>">
	<td><?php echo $item['CodCliente']; ?></td>
    <td><?php echo $item['NombreCliente']; ?></td>
	<td><?php echo $item['NumOrdenPrep']; ?></td>
    <td><?php echo $item['NumPedido']; ?></td>
    <td><?php echo $item['LinPedido']; ?></td>
    <td><?php echo $item['CantidadPendienteOF']; ?></td>
    </tr>
<?php } ?>
</table>

<p><input type="button" name="botonvolver" id="botonVolver" value="Volver a listado" class="boton reducido mostrarCargando"/></p>

</form>

	<div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
            	<td>
                Orden Preparación:<br />
                <select name="filtroOrdenPreparacion" id="filtroOrdenPreparacion" class="campo selectorFiltro">
                    <option value="">---</option>
                    <?php foreach($comboOrdenesPreparacion as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                Cliente:<br />
                <select name="filtroCliente" id="filtroCliente" class="campo selectorFiltro">
                    <option value="">---</option>
                    <?php foreach($comboClientes as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
                </td>
            </tr>
        </table>
        
    </div>

<script>
	
	function repintarTabla() {
	
			$(".lineaOrden").children('td').css('background-color','#ffffff');
			$(".lineaOrden").children('td').css('border-bottom','');
			$(".lineaOrden").children('td').css('border-radius','');
			$(".lineaOrden").children('td').css('-mozborder-radius','');
			$(".lineaOrden").children('td').css('-webkit-border-radius','');
		
			var par=true;
			$(".lineaOrden").each(function(){
				if( $(this).is(":visible") ) {
					if(par) $(this).children('td').css('background-color','#ffffff');
					else $(this).children('td').css('background-color','#eeeeee');
					par = !par;
					ultimaFila=$(this);
				}
			});
			
			ultimaFila.children('td').css('border-bottom','1px solid #999999');
			ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
			ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
		
		}
		
		function aplicarFiltro(id) {
		
			if( $('#filtroOrdenPreparacion').val()=='' && $('#filtroCliente').val()=='' ) {
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
			}
			else  {
				$('#filtroApagado').hide();
				$('#quitarFiltro').show();
				$('#aplicarFiltro').hide();
			}
			
			
			
			$('.lineaOrden').each(function() {
			
				var coincidenciaOrdenPreparacion=false;
				var coincidenciaCliente=false;
			
				if( $('#filtroOrdenPreparacion').val()!='' && $(this).attr('ordenpreparacion')==$('#filtroOrdenPreparacion').val() ) coincidenciaOrdenPreparacion=true;
				else if( $('#filtroOrdenPreparacion').val()=='' ) coincidenciaOrdenPreparacion=true;
				
				if( $('#filtroCliente').val()!='' && $(this).attr('nombrecliente')==$('#filtroCliente').val() ) coincidenciaCliente=true;
				else if( $('#filtroCliente').val()=='' ) coincidenciaCliente=true;
				
				if( coincidenciaOrdenPreparacion && coincidenciaCliente) $(this).show();
				else $(this).hide();
			});
			
	
			//Revertimos el check actual si viniera de la linea acutomatico porque confunde al filtrar
			if(id) {
				if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
				else $('#'+id).prop("checked",true);
			}
	
			repintarTabla();
		
		}
	
	$(document).ready(function() {
		
		$('.lineaOrden').on("click",function(e) {
		
			$('#lanzamiento').val( $(this).attr('lanzamiento') );
			$('#of').val( $(this).attr('of') );
			$('#cantidadPendiente').val( $(this).attr('cantidadpendiente') );
			$('#nombreCliente').html( $(this).attr('codigocliente')+' - '+$(this).attr('nombrecliente') );
			$('#ordenPreparacion').html( $(this).attr('ordenpreparacion') );
			
			
			$('#popupCierre').show();
			$("#cantidad").focus();
		
		});
		
		$('.selectorFiltro').on("change",function() {
				aplicarFiltro();
			});
			
		$('#quitarFiltro').on("click",function() {
		
			$('#filtroOrdenPreparacion option:selected').removeProp('selected');
			$('#filtroCliente option:selected').removeProp('selected');;
				
			$('#filtroOrdenPreparacion option[value=""]').prop('selected',true);
			$('#filtroCliente option[value=""]').prop('selected',true);
				
			$('#filtroApagado').show();
			$('#quitarFiltro').hide();
			$('#aplicarFiltro').hide();
	
			$(".lineaOrden").show();
				
			repintarTabla();
				
		});
		
		$('#botonAceptar').on('click',function(e) {
		
			e.preventDefault();
			
			if( $('#cantidad').val()==0 || $('#cantidad').val()=='' ) {
				alert('Error: Especifica una cantidad a preparar.',$('#cantidad'));
			}
			else if( parseInt($('#cantidad').val()) > parseInt($('#cantidadPendiente').val()) ) {
				alert('Error: La cantidad especificada es mayor que la cantidad pendiente a preparar: '+$('#cantidadPendiente').val(),$('#cantidad'));
			}
			else {
				$('#popupCargando').show();
				$('#formulario').submit();
			}
		});
		
		$('#botonCancelar').on("click",function(e) {
		
			$('#popupCierre').hide();
		
		});
		
		$('.cantidad').on("click",function(e) {
		
			$('#calculadora').show();
			$('#valorCalculadora').val( $(this).val() );
			$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
		
		});
			
		$('#botonVolver').on('click',function(e){
		
			e.preventDefault();
			window.location='ordenes-fabricacion-cierre-rapido.php';
		
		});
			
	});
	
</script>
    
<?php

} //Fin si hay productos pendientes

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>